package pathgame.tilemap;

import pathgame.gameplay.Player;

public class TileTown extends Tile
{
    public TileTown()
    {
        super(1, 0.0f, (pa) -> 0, false, false);
    }

    @Override
    public void onEnter(Player p, TileMap map, int x, int y)
    {
        System.out.println("Enter Town " + x + " " + y);
    }

    @Override
    public void onLeave(Player p, TileMap map, int x, int y)
    {
        System.out.println("Leave Town " + x + " " + y);
        map.convertTown(x, y);
    }
}
